<?php
namespace Relatione\Logic;

class ValidaNomeLogic
{
    public static function validaNome($string, array $campos_busca = null)
    {
        $sql = "SELECT NMPRINCIPALPARC     AS NOME,
                       NMSECUNDARIPARC     AS NOMESEC,
                       NRINSCRICAOPARC     AS INSCRICAO,
                       CDTIPOPARCPRINCIPAL AS TIPO
                  FROM PARCNEGOCIO
                 WHERE (UPPER(NMPRINCIPALPARC) LIKE UPPER('".$string."%')
                    OR UPPER(NMSECUNDARIPARC)  LIKE UPPER('".$string."%'))
                   AND CDTIPOPARCPRINCIPAL     <> 'OPERADOR'
                   AND NRORG                   = :NRORG
                   AND IDATIVO                 = 'S'
                   AND IDPARCFUNDIDO           = 'N'
             UNION ALL
                SELECT NMCANDIDATO AS NOME,
                       NMFANTCAN   AS NOMESEC,
                       NRINSJURCAN AS INSCRICAO,
                       'CAND' AS TIPO
                  FROM CRM_CANDIDATO
                 WHERE (UPPER(NMCANDIDATO)  LIKE UPPER('".$string."%')
                    OR UPPER(NMFANTCAN)     LIKE UPPER('".$string."%'))
                   AND NRPARCNEGOCIO        IS NULL
                   AND NRORG                = :NRORG
                   AND IDATIVO                 = 'S'
                   AND IDPARCFUNDIDO           = 'N'";

        $nrorg = \Geral\Util\Ambiente::getNrorg();
        $retorno = \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql, array("NRORG"=>$nrorg));

        if (count($retorno) > 0)
        {
            if(count($retorno)>5)
                $loop = 5;
            else
                $loop = count($retorno);
            for($i=0;$i<$loop;$i++)
            {
                $nome = $retorno[$i]['NOME'];
                $nomesec = $retorno[$i]['NOMESEC'];
                $tipo = $retorno[$i]['TIPO'];
                $inscricao = $retorno[$i]['INSCRICAO'];

                if ($tipo == 'CAND'){
                    $msg = "Já existe um candidato com esse nome/empresa:<br>
                    	    Nome: $nome<br>
                        	Empresa: $nomesec<br>
                        	Inscrição: $inscricao";
                }
                else
                {
                    $msg = "Já existe um parceiro com esse nome:<br>
                    	    Nome principal: $nome<br>
                        	Nome fantasia: $nomesec<br>
                        	Inscrição: $inscricao";
                }
                tk_message($msg,'info');
            }

        }
    }

    public static function verificaSistemaMotivo($Sistema)
    {
        if (!empty($Sistema))
        {
            tk_enable_field('CDMOTICONT');
            $sql = ' C.CDSISTEMA = \''.$Sistema.'\'';
        }
        else
        {
            tk_disable_field('CDMOTICONT');
            $sql = ' 1 = 2';
        }
        return $sql;
    }

}